%global modname  jaraco
%global projname %{modname}.context
%global pkgname  %{modname}-context

Summary:        Context managers by jaraco
Name:           python-%{pkgname}
Version:        4.3.0
Release:        1%{?dist}
License:        MIT 
URL:            https://github.com/jaraco/%{projname}
Source0:        %{pypi_source %{projname}}

Patch3000:      0001-Disable-linters.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
jaraco.functools Tools for working with functools. Additional functools in the spirit of stdlib’ s functools.

%package     -n python3-%{pkgname}
Summary:        Context managers by jaraco

%description -n python3-%{pkgname}
jaraco.functools Tools for working with functools. Additional functools in the spirit of stdlib’ s functools.

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%tox

%files -n python3-%{pkgname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGES.rst

%changelog
* Tue Jan 9 2024 Shuo Wang <abushwang@tencent.com> - 4.3.0-1
- init build
